/* *{
    margin: 0;
} */
*,
::after,
::before {
    box-sizing: border-box;
}

/* fonts */

@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@400;500;600&family=Montserrat&display=swap');

html {
    font-size: 100%;
}

/*16px*/

:root {
    /* colors */
    --primary-100: #e2e0ff;
    --primary-200: #c1beff;
    --primary-300: #a29dff;
    --primary-400: #837dff;
    --primary-500: #645cff;
    --primary-600: #504acc;
    --primary-700: #3c3799;
    --primary-800: #282566;
    --primary-900: #141233;

    /* grey */
    --grey-50: #f8fafc;
    --grey-100: #f1f5f9;
    --grey-200: #e2e8f0;
    --grey-300: #cbd5e1;
    --grey-400: #94a3b8;
    --grey-500: #64748b;
    --grey-600: #475569;
    --grey-700: #334155;
    --grey-800: #1e293b;
    --grey-900: #0f172a;

    /* rest of the colors */
    --black: #222;
    --white: #fff;
    --red-light: #f8d7da;
    --red-dark: #842029;
    --green-light: #d1e7dd;
    --green-dark: #0f5132;

    /* fonts  */
    --headingFont: 'Roboto', sans-serif;
    --bodyFont: 'Nunito', sans-serif;
    --smallText: 0.7em;

    /* rest of the vars */
    --backgroundColor: var(--grey-50);
    --textColor: var(--grey-900);
    --borderRadius: 0.25rem;
    --letterSpacing: 1px;
    --transition: 0.3s ease-in-out all;
    --max-width: 1120px;
    --fixed-width: 600px;

    /* box shadow*/
    --shadow-1: 0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06);
    --shadow-2: 0 4px 6px -1px rgba(0, 0, 0, 0.1),
        0 2px 4px -1px rgba(0, 0, 0, 0.06);
    --shadow-3: 0 10px 15px -3px rgba(0, 0, 0, 0.1),
        0 4px 6px -2px rgba(0, 0, 0, 0.05);
    --shadow-4: 0 20px 25px -5px rgba(0, 0, 0, 0.1),
        0 10px 10px -5px rgba(0, 0, 0, 0.04);
}
body {
    background: var(--backgroundColor);
    font-family: var(--bodyFont);
    font-weight: 400;
    line-height: 1.75;
    color: var(--textColor);
}
p {
    margin-top: 0;
    margin-bottom: 1.5rem;
    max-width: 40em;
}
h1,
h2,
h3,
h4,
h5 {
    margin: 0;
    margin-bottom: 1.38rem;
    font-family: var(--headingFont);
    font-weight: 400;
    line-height: 1.3;
    text-transform: capitalize;
    letter-spacing: var(--letterSpacing);
}

h1 {
    margin-top: 0;
    font-size: 3.052rem;
}

h2 {
    font-size: 2.441rem;
}

h3 {
    font-size: 1.953rem;
}

h4 {
    font-size: 1.563rem;
}

h5 {
    font-size: 1.25rem;
}

small,
.text-small {
    font-size: var(--smallText);
}
a {
    text-decoration: none;
}
.img {
    width: 100%;
    display: block;
    object-fit: cover;
}
ul {
    list-style-type: none;
    padding: 0;
}
/* navbar */
.navbar {
    display: flex;
    align-items: center;
    justify-content: center;
}
.nav-center{
    width: 90vw;
    max-width: var(--max-width);
}
.nav-header{
    height: 6rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.nav-header img{
    width: 200px;
}
.nav-logo{
    display: flex;
    align-items: flex-end
}
#nav-btn{
    padding: 0.15rem 0.75rem;
}
#nav-btn i{
    font-size: 1.25rem;
}
.nav-links{
    height: 0;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    transition: var(--transition);
}
.show-links {
    height: 23.9375rem;
}
.nav-link{
    display: block;
    text-align: center;
    font-size: 1.25rem;
    text-transform: capitalize;
    color: var(--grey-900);
    letter-spacing: var(--letterSpacing);
    padding: 1rem 0;
    border-top: 1px solid var(--grey-500);
    transition: var(--transition);
}
.nav-link:hover{
    color: var(--primary-500);
}
.contact-link a {
    padding: 0.15rem 1rem;
}
@media screen and (min-width: 992px)
{
    .navbar{
        height: 6rem;
    }
    .nav-center{
        display: flex;
        align-items: center;
    }
    .nav-header{
        padding: 0;
        margin-right: 2rem;
        height: auto;
    }
    #nav-btn {
        display: none;
    }
    .nav-links{
        height: auto !important;
        flex-direction: row;
        align-items: center;
        width: 100%;
    }
    .nav-link{
        padding: 0;
        border-top: none;
        margin-right: 1rem;
        font-size: 1rem;
    }
    .contact-link{
        margin-right: 0;
        margin-left: auto;
    }
}
/* page */
.page{
    width: 90vw;
    max-width: var(--max-width);
    margin: 0 auto;
}
.page{
    padding-top: 2rem;
    min-height: calc(100vh - (6rem + 4rem));
}
.hero{
    height: 40vh;
    position: relative;
    margin-bottom: 2rem;
    background: url('/img/cover.jpg') center/cover no-repeat;
    border-radius: var(--borderRadius);
}
.hero-container{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    background: rgba(0, 0, 0, 0.3);
    border-radius: var(--borderRadius);
}
.hero-text{
    color: var(--white);
    text-align: center;
    font-size: 1.5rem;
}
.hero-text h4{
    font-size: 1rem;
}
@media only screen and (min-width: 768px) {
    .hero-text h1 {
        font-size: 4rem;
        margin-bottom: 0;
    }
        .hero-text h4 {
            font-size: 1.5rem;
        }
}

/* recipes */
.recipes-container{
    display: grid;
    gap: 2rem 1rem;
}
.recipes-list{
    display: grid;
    gap: 2rem 1rem;
    padding-bottom: 3rem;
}
.tags-container{
    order: 1;
    display: flex;
    flex-direction: column;
    padding-bottom: 3rem;
    /* background: red; */
    /* color: #fff; */
}
.tags-container h4{
    margin-bottom: 0.5rem;
    font-weight: 500;
}
.tags-list{
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
}
.tags-list a{
    text-transform: capitalize;
    display: block;
    color: var(--grey-500);
    transition: var(--transition)
}
.tags-list a:hover{
        color: var(--primary-500);
}
.recipe{
    display: block;
}
.recipe-img{
    height: 15rem;
    border-radius: var(--borderRadius);
    margin-bottom: 1rem;
}
.recipe h5{
    margin-bottom: 0;
    margin-top: 0.25rem;
    line-height: 1;
    color: var(--grey-700);
}
.recipe p{
    margin-bottom: 0;
    line-height: 1;
    color: var(--grey-500);
    margin-top: 0.25rem;
    letter-spacing: var(--letterSpacing);
}
@media screen and (min-width: 576px) {
    .recipes-list{
    grid-template-columns: 1fr 1fr;
    }
    .recipe img{
        height: 10rem;
    }
}
@media screen and (min-width: 992px) {
    .recipes-container{
    grid-template-columns: 200px 1fr;
    gap: 1rem;
    }
    .recipes-list{
        grid-template-columns: 1fr 1fr;
    }
    .recipe p {
    font-size: 0.85rem;
}
.tags-container{
    order: 0;
}
.tags-list{
    display: grid;
    grid-template-columns: 1fr;
}
}
@media screen and (min-width: 1200px) {
    .recipes h5{
        font-size: 1.15rem;
    }
    .recipes-list{
        grid-template-columns: 1fr 1fr 1fr;
    }
}
/* footer */
.page-footer {
    text-align: center;
    height: 4rem;
    display: flex;
    align-items: center;
    justify-content: center;
    background: var(--black);
    color: var(--white);
}
.page-footer p{
    margin-top: 0;
    margin-bottom: 0;
}
.page-footer .footer-logo,
.page-footer a {
    color: var(--primary-500);
}

/* about */
.about-page h2{
    text-transform: none;
    font-weight: bold;
}
.about-page{
    display: grid;
    gap: 2rem 4rem;
    padding-bottom: 3rem;
}
.about-img{
    border-radius: var(--borderRadius);
    height: 300px;
}
@media screen and (min-width: 992px) {
    .about-page{
        grid-template-columns: 1fr 1fr;
        grid-template-rows: 400px;
        align-items: center;
    }
    .about-img{
        height: 100%;
    }
}
.featured-title{
    text-align: center;
}
/* Tags page */
.tags-wrapper{
    display: grid;
    gap: 2rem;
    padding-bottom: 3rem;
}
.tag{
    background: var(--grey-500);
    border-radius: var(--borderRadius);
    text-align: center;
    color: var(--white);
    transition: var(--transition);
    padding: 0.75rem 0;
}
.tag:hover{
    background: var(--primary-500);
}
.tag h5,
.tag p {
    margin-bottom: 0;
}
.tag h5{
    font-weight: 600;
}
@media screen and (min-width: 576px) {
    .tags-wrapper{
        grid-template-columns: 1fr 1fr;
    }
}
@media screen and (min-width: 992px) {
    .tags-wrapper{
        grid-template-columns: 1fr 1fr 1fr;
    }
}
/* button */
.btn{
    cursor: pointer;
    color: var(--white);
    background: var(--primary-500);
    border-radius: var(--borderRadius);
    border: transparent;
    letter-spacing: var(--letterSpacing);
    padding: 0.375rem 0.75rem;
    box-shadow: var(--shadow-1);
    transition: var(--transition);
    text-transform: capitalize;
    display: inline-block;
}
.btn:hover{
box-shadow: var(--shadow-3);
background: var(--primary-700);
}
.btn-hipster {
    color: var(--primary-500);
    background: var(--primary-200);
}

.btn-hipster:hover {
    color: var(--primary-200);
    background: var(--primary-700);
}
.btn-block{
    width: 100%;
}
/* form */
.form {
    width: 90vw;
    max-width: var(--max-width);
    background: var(--white);
    border-radius: var(--borderRadius);
    box-shadow: var(--shadow-2);
    padding: 2rem 2.5rem;
    margin: 3rem auto;
}
.form-label{
    display: block;
    font-size: var(--smallText);
    text-transform: capitalize;
    letter-spacing: var(--letterSpacing);
    margin-bottom: 0.5rem;
}
.form-input,
.textarea{
    width: 100%;
    border-radius: var(--borderRadius);
    border: 1px solid var(--grey-200);
    background: var(--backgroundColor);
    padding: 0.375rem 0.75rem;
}
.form-row{
    margin-bottom: 1rem;
}
.textarea{
    height: 7rem;
}
::placeholder{
    font-family: inherit;
    color: var(--grey-400);
}
.contact-form{
    width: 100%;
    margin: 0;
}
.contact-page{
    display: grid;
    gap: 2rem 3rem;
    padding-bottom: 3rem;
}
@media screen and (min-width: 992px) {
    .contact-page{
        grid-template-columns: 1fr 450px;
        align-items: center;
    }
}
/* title */
.title{
    text-align: center;
}
/* error-page */
.error-page {
    text-align: center;
    padding-top: 5rem;
}

.error-page h1 {
    font-size: 9rem;
}
#month{
    width: 100%;
        display: block;
        object-fit: contain;
        height: 35rem;
            border-radius: var(--borderRadius);
            margin-bottom: 5rem;
}
.newmonth{
    text-align: center;
}
.newmonth p{
    color: #334155;
    display: inline;
}